/**
 * libSpiff - XSPF playlist handling library
 *
 * Copyright (C) 2006 Sebastian Pipping
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Sebastian Pipping, webmaster@hartwork.org
 */

#include "SpiffTrack.h"
#include <string.h>

namespace Spiff {



SpiffTrack::SpiffTrack() : location(NULL), title(NULL), creator(NULL),
		album(NULL), trackNum(NULL) {
	
}



SpiffTrack::~SpiffTrack() {

}




XML_Char * SpiffTrack::getLocation() {
	return this->location;
}



XML_Char * SpiffTrack::getTitle() {
	return this->title;
}



XML_Char * SpiffTrack::getCreator() {
	return this->creator;
}



XML_Char * SpiffTrack::getAlbum() {
	return this->album;
}



XML_Char * SpiffTrack::getTrackNum() {
	return this->trackNum;
}



void SpiffTrack::deleteNewAndCopy(XML_Char ** dest, const XML_Char * src) {
	if (*dest != NULL) {
		delete [] *dest;
	}
	*dest = new XML_Char[static_cast<int>(::PORT_STRLEN(src)) + 1];
	::PORT_STRCPY(*dest, src);
}



void SpiffTrack::setLocation(const XML_Char * location) {
	deleteNewAndCopy(&this->location, location);
}


void SpiffTrack::setTitle(const XML_Char * title) {
	deleteNewAndCopy(&this->title, title);
}



void SpiffTrack::setCreator(const XML_Char * creator) {
	deleteNewAndCopy(&this->creator, creator);
}



void SpiffTrack::setAlbum(const XML_Char * album) {
	deleteNewAndCopy(&this->album, album);
}



void SpiffTrack::setTrackNum(const XML_Char * trackNum) {
	deleteNewAndCopy(&this->trackNum, trackNum);
}



}
